/v1/extranet/sites-usage/top

Prev Next
Post
/v1/extranet/sites-usage/top

Get extranet service top sites usage stats

Security
API Key: jwtAuth
Header parameter nameauthorization

Use Bearer <token>

Header parameters
Authorization
stringRequired

Bearer token. Format: Bearer <your_token_here>

Body parameters
Expand All
object
id
integer (int64) Required

the id associated with an entity - consumer_id for consumer, and service_id for the producer/service (required)

Example1
isB2B
boolean Required

whether the entity is a b2b entity (true for b2b entity, false for local extranet entity) (required)

Exampletrue
isProvider
boolean Required

whether the entity is a provider or consumer (required)

Exampletrue
serviceId
integer (int64)
Example1234567891011
timeWindow
object (statsmonTimeWindow) Required
bucketSizeSec
integer (int32) Required

the size of the time window in seconds (required)

Minimum0
Example300
oldTs
object (googleProtobufTimestamp)
nanos
integer (int32)
Example123
seconds
integer (int64)
Example1234567891011
recentTs
object (googleProtobufTimestamp)
nanos
integer (int32)
Example123
seconds
integer (int64)
Example1234567891011
Responses
200

OK

Expand All
object
topSites
Array of object (v1ExtranetSitesUsageTopPostResponseSiteUsage)
object
siteId
integer (int64)

the id of the site

Example1
siteName
string

the name of the site

ExampleSite 1
usage
number (double)

usage/consumption of the service on the site in kilo bytes

Example1000000